Subject: Re: [Iotops] IOTOPS Draft Charter

From: Qin Wu <[email-masked]>
Date: Tue, 3 Nov 2020 13:53:25 +0000

-----邮件原件-----
发件人: Iotops [mailto:[email-masked]] 代表 Rob Wilton (rwilton)
发送时间: 2020年11月3日 21:10
收件人: [email-masked]
主题: [Iotops] IOTOPS Draft Charter

Hi,

An updated draft charter for IOTOPS (also inline) has been posted to https://datatracker.ietf.org/doc/charter-ietf-iotops/

This charter has received a couple of rounds of informal review from other IESG members.  Warren and I believe that it is close to the state where we could ask the IESG to ballot on the draft version before it goes out for public review.

Hence, I think that this would be an appropriate time for discussion of the proposed charter on the @iotops alias.

---

The IOTOPS Working Group is for the discussion of operational issues related to Internet of Things (IoT) devices, in particular related to device onboarding and lifecycle management.

IoT has a rather nebulous definition with different meanings for different people.

For the purposes of this WG, its focus is on devices that are:
  - networked - either to the Internet or isolated domain(s),

[Qin]: It is not clear what isolated domains means? Home network, enterprise network, campus network, Content delivery network, IoT network,
I would suggest to replace isolated domain(s) with limited domain defined in RFC8799.

  - have a very limited end user interface or no end-user interface at all,
  - are deployed in sufficiently large numbers that they cannot easily be
  managed or maintained manually.

The IETF is or has worked on a number of technologies related to IoT. These include work done in ANIMA, CBOR, CORE, DRIP, LAKE, LPWAN, LWIG, ROLL, SUIT, and 6TISCH.  IOTOPS is intended to be a discussion venue where people can discuss how the various technologies developed in these WGs fit together, what gaps remain, what has been learnt from deploying these, etc.

IOTOPS will solicit input on IoT-device-related operational issues and practices, and existing and proposed technologies related to the deployment, operational management, and lifecycle management of IoT devices.  IOTOPS provides a venue for IoT experts and other interested parties to engage in discussions of IoT requirements of networking standards, as well as proposals for new uses of IP technology in IoT specific scenarios.

Revision, updates, and extensions related to existing WGs will be done in those WGs.  Where new protocols may be needed, IOTOPS will help identify candidate venues within IETF for their development. In this context, IOTOPS will operate with a "dispatch" model as described in RFC 7957.

IOTOPS WG charter is restricted to:

1) Taking input and discussing issues related to the operational management of IoT devices. This includes (but is not limited to):
  - factory provisioning of devices
  - onboarding of devices
  - access control of devices to network resources
  - administrative control of devices
  - software/firmware upgrades
  - isolation/quarantine of devices
  - remediation of broken devices
  - end of life management of devices

[Qin]: Why limit to talking input and discussing issues, I think IoTOPS could be a better place if there is no good home for some IoT on boarding work, I am not suggest to put all work in this WG,
But at least some network based solution should be documented here.

2) Discussing issues related to IoT operational security.

[Qin]: How about also covering privacy issues in IoT scenarios?

3) Publish operational practice and document requirements.

---

Regards,
Rob

--
Iotops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/iotops